Bug 1949277 - operator-marketplace: deployment manifests for ibm-cloud-managed profile have master node selectors
Summary: operator-marketplace: deployment manifests for ibm-cloud-managed profile have...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ibm-roks-toolkit
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Cesar Wong
QA Contact: Cesar Wong
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 20:22 UTC by Cesar Wong
Modified: 2021-07-27 23:00 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 389 0 None open Bug 1949277: Add operator manifest specific to ibm-cloud-managed profile 2021-04-13 22:14:42 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:38 UTC

Description Cesar Wong 2021-04-13 20:22:36 UTC
Description of problem:
Clusters running in the ROKS service do not have any master nodes, only workers. No workloads running on these clusters should target masters. Using cluster-profiles it is possible to include a patched deployment manifest in the CVO that targets ROKS clusters.

Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. oc adm release extract [RELEASE-IMAGE]
2. inspect deployment manifests for operator-marketplace with ibm-cloud-managed annotation
3. deployment node selectors should not include masters

Actual results:
deployment node selectors include masters

Expected results:
deployment node selectors do not exist or do not include masters

Additional info:

Comment 3 Cesar Wong 2021-06-18 02:01:46 UTC
Verified in registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-06-16-190035

Comment 5 errata-xmlrpc 2021-07-27 23:00:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.